LibreOffice LibreOffice 6.0 SDK API Reference

Modules | Variables
SystemDependent.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::lang
| General UNO concepts like factories etc.

## Constant Groups
constants | com::sun::star::lang::SystemDependent
| These constants are used to specify systems which depend on return values.

## Variables
const short | SYSTEM_WIN32 = 1
| The called interface method returns a value specified for Windows. More...
const short | SYSTEM_WIN16 = 2
| The called interface method returns a value specified for 16-bit Windows. More...
const short | SYSTEM_JAVA = 3
| The called interface method returns a value specified for Java. More...
const short | SYSTEM_OS2 = 4
| The called interface method returns a value specified for OS/2. More...
const short | SYSTEM_MAC = 5
| The called interface method returns a value specified for Mac OS X. More...
const short | SYSTEM_XWINDOW = 6
| The called interface method returns a value specified for the X Window System. More...
const short | SYSTEM_IOS = 7
| The called interface method returns a value specified for iOS. More...
const short | SYSTEM_ANDROID = 8
| The called interface method returns a value specified for Android. More...